package com.css.txw.mhzc.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.css.txw.mhzc.pojo.domain.TxwMhzcYhqygxbDO;
import com.css.txw.mhzc.mapper.TxwMhzcYhqygxbMapper;
import com.css.txw.mhzc.service.TxwMhzcYhqygxbService;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

/**
* @author AirlH
* @description 针对表【txw_mhzc_yhqygxb(用户企业关系表)】的数据库操作Service实现
* @createDate 2025-09-13 14:47:54
*/
@Service
public class TxwMhzcYhqygxbServiceImpl extends ServiceImpl<TxwMhzcYhqygxbMapper, TxwMhzcYhqygxbDO>
    implements TxwMhzcYhqygxbService {

	@Resource
	private TxwMhzcYhqygxbMapper yhqygxbMapper;
	@Override
	public List<TxwMhzcYhqygxbDO> query(String qyuuid, String yhUuid) {
		QueryWrapper<TxwMhzcYhqygxbDO> queryWrapper1 = new QueryWrapper<>();
		queryWrapper1.lambda()
		.eq(TxwMhzcYhqygxbDO::getYhUuid, yhUuid)
		.eq(TxwMhzcYhqygxbDO::getQyuuid, qyuuid);
		List<TxwMhzcYhqygxbDO> dos = yhqygxbMapper.selectList(queryWrapper1);
		return dos;
	}
}




